Open CASCADE Technology: BRepBlend_AppSurface Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepBlend_AppSurface Class Reference

Used to Approximate the blending surfaces. More...

`#include <BRepBlend_AppSurface.hxx>`

Inheritance diagram for BRepBlend_AppSurface:
[legend]

## Public Member Functions
| BRepBlend_AppSurface (Handle< Approx_SweepFunction > &Funct, const Standard_Real First, const Standard_Real Last, const Standard_Real Tol3d, const Standard_Real Tol2d, const Standard_Real TolAngular, const GeomAbs_Shape Continuity=GeomAbs_C0, const Standard_Integer Degmax=11, const Standard_Integer Segmax=50)
| Approximation of the new Surface (and eventually the 2d Curves on the support surfaces). Normaly the 2d curve are approximated with an tolerance given by the resolution on support surfaces, but if this tolerance is too large Tol2d is used. More...
Standard_Boolean | IsDone () const
void | SurfShape (Standard_Integer &UDegree, Standard_Integer &VDegree, Standard_Integer &NbUPoles, Standard_Integer &NbVPoles, Standard_Integer &NbUKnots, Standard_Integer &NbVKnots) const
void | Surface (TColgp_Array2OfPnt &TPoles, TColStd_Array2OfReal &TWeights, TColStd_Array1OfReal &TUKnots, TColStd_Array1OfReal &TVKnots, TColStd_Array1OfInteger &TUMults, TColStd_Array1OfInteger &TVMults) const
Standard_Integer | UDegree () const
Standard_Integer | VDegree () const
const TColgp_Array2OfPnt & | SurfPoles () const
const TColStd_Array2OfReal & | SurfWeights () const
const TColStd_Array1OfReal & | SurfUKnots () const
const TColStd_Array1OfReal & | SurfVKnots () const
const TColStd_Array1OfInteger & | SurfUMults () const
const TColStd_Array1OfInteger & | SurfVMults () const
Standard_Real | MaxErrorOnSurf () const
| returns the maximum error in the suface approximation. More...
Standard_Integer | NbCurves2d () const
void | Curves2dShape (Standard_Integer &Degree, Standard_Integer &NbPoles, Standard_Integer &NbKnots) const
void | Curve2d (const Standard_Integer Index, TColgp_Array1OfPnt2d &TPoles, TColStd_Array1OfReal &TKnots, TColStd_Array1OfInteger &TMults) const
Standard_Integer | Curves2dDegree () const
const TColgp_Array1OfPnt2d & | Curve2dPoles (const Standard_Integer Index) const
const TColStd_Array1OfReal & | Curves2dKnots () const
const TColStd_Array1OfInteger & | Curves2dMults () const
void | TolReached (Standard_Real &Tol3d, Standard_Real &Tol2d) const
Standard_Real | Max2dError (const Standard_Integer Index) const
| returns the maximum error in the <Index> 2d curve approximation. More...
Standard_Real | TolCurveOnSurf (const Standard_Integer Index) const
void | Dump (Standard_OStream &o) const
| diplay information on approximation. More...
Public Member Functions inherited from AppBlend_Approx
virtual void | Delete ()
virtual | ~AppBlend_Approx ()

## Detailed Description

Used to Approximate the blending surfaces.

## Constructor & Destructor Documentation

BRepBlend_AppSurface::BRepBlend_AppSurface | ( | Handle< Approx_SweepFunction > & | Funct,
|  | const Standard_Real | First,
|  | const Standard_Real | Last,
|  | const Standard_Real | Tol3d,
|  | const Standard_Real | Tol2d,
|  | const Standard_Real | TolAngular,
|  | const GeomAbs_Shape | Continuity = `GeomAbs_C0`,
|  | const Standard_Integer | Degmax = `11`,
|  | const Standard_Integer | Segmax = `50`
| ) |  |

Approximation of the new Surface (and eventually the 2d Curves on the support surfaces). Normaly the 2d curve are approximated with an tolerance given by the resolution on support surfaces, but if this tolerance is too large Tol2d is used.

## Member Function Documentation

void BRepBlend_AppSurface::Curve2d | ( | const Standard_Integer | Index,
|  | TColgp_Array1OfPnt2d & | TPoles,
|  | TColStd_Array1OfReal & | TKnots,
|  | TColStd_Array1OfInteger & | TMults
| ) |  | const
| virtual

Implements AppBlend_Approx.

const TColgp_Array1OfPnt2d& BRepBlend_AppSurface::Curve2dPoles | ( | const Standard_Integer | Index | ) | const
| virtual

Implements AppBlend_Approx.

Standard_Integer BRepBlend_AppSurface::Curves2dDegree | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

const TColStd_Array1OfReal& BRepBlend_AppSurface::Curves2dKnots | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

const TColStd_Array1OfInteger& BRepBlend_AppSurface::Curves2dMults | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

void BRepBlend_AppSurface::Curves2dShape | ( | Standard_Integer & | Degree,
|  | Standard_Integer & | NbPoles,
|  | Standard_Integer & | NbKnots
| ) |  | const
| virtual

Implements AppBlend_Approx.

void BRepBlend_AppSurface::Dump | ( | Standard_OStream & | o | ) | const

diplay information on approximation.

Standard_Boolean BRepBlend_AppSurface::IsDone | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

Standard_Real BRepBlend_AppSurface::Max2dError | ( | const Standard_Integer | Index | ) | const

returns the maximum error in the <Index> 2d curve approximation.

Standard_Real BRepBlend_AppSurface::MaxErrorOnSurf | ( |  | ) | const

returns the maximum error in the suface approximation.

Standard_Integer BRepBlend_AppSurface::NbCurves2d | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

void BRepBlend_AppSurface::Surface | ( | TColgp_Array2OfPnt & | TPoles,
|  | TColStd_Array2OfReal & | TWeights,
|  | TColStd_Array1OfReal & | TUKnots,
|  | TColStd_Array1OfReal & | TVKnots,
|  | TColStd_Array1OfInteger & | TUMults,
|  | TColStd_Array1OfInteger & | TVMults
| ) |  | const
| virtual

Implements AppBlend_Approx.

const TColgp_Array2OfPnt& BRepBlend_AppSurface::SurfPoles | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

void BRepBlend_AppSurface::SurfShape | ( | Standard_Integer & | UDegree,
|  | Standard_Integer & | VDegree,
|  | Standard_Integer & | NbUPoles,
|  | Standard_Integer & | NbVPoles,
|  | Standard_Integer & | NbUKnots,
|  | Standard_Integer & | NbVKnots
| ) |  | const
| virtual

Implements AppBlend_Approx.

const TColStd_Array1OfReal& BRepBlend_AppSurface::SurfUKnots | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

const TColStd_Array1OfInteger& BRepBlend_AppSurface::SurfUMults | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

const TColStd_Array1OfReal& BRepBlend_AppSurface::SurfVKnots | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

const TColStd_Array1OfInteger& BRepBlend_AppSurface::SurfVMults | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

const TColStd_Array2OfReal& BRepBlend_AppSurface::SurfWeights | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

Standard_Real BRepBlend_AppSurface::TolCurveOnSurf | ( | const Standard_Integer | Index | ) | const
| virtual

Implements AppBlend_Approx.

void BRepBlend_AppSurface::TolReached | ( | Standard_Real & | Tol3d,
|  | Standard_Real & | Tol2d
| ) |  | const
| virtual

Implements AppBlend_Approx.

Standard_Integer BRepBlend_AppSurface::UDegree | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

Standard_Integer BRepBlend_AppSurface::VDegree | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

The documentation for this class was generated from the following file:

- BRepBlend_AppSurface.hxx